--超值周卡
Lua_SuperWeekCardPanel = class("Lua_SuperWeekCardPanel", Lua_DisplayObject)
function Lua_SuperWeekCardPanel:ctor(p)
	self:superCall("ctor", p, "SuperWeekCardPanel_skin");
end

function Lua_SuperWeekCardPanel:buildShowItem()
	self:superCall("buildShowItem");
	self.topDragList = Lua_DragList.new(self.rewardObj_1, 630, 124, Lua_AxisDefine.Horizontal);
	self.topDragList:setListCell(Lua_SuperWeekCardIconCell, 124, 124, 1);
	self.topDragList:setCellSpacing(20, 0);
	self.topDragList:setLocation(0, -30);

	self.downDragList = Lua_DragList.new(self.rewardObj_2, 630, 124, Lua_AxisDefine.Horizontal);
	self.downDragList:setListCell(Lua_SuperWeekCardIconCell, 124, 124, 1);
	self.downDragList:setCellSpacing(20, 0);
	self.downDragList:setLocation(0, -30);

	self.buyBtn:addClickFuntion(self, self.onBuyBtnClick);
	self:addLuaEvent("SHOW_WEEKCARD_PANEL", self, self.showPanelInfo);
end

function Lua_SuperWeekCardPanel:dispose()
	if self.topDragList ~= nil then
		self.topDragList:dispose();
		self.topDragList = nil;
	end
	if self.downDragList ~= nil then
		self.downDragList:dispose();
		self.downDragList = nil;
	end
	self.msg = nil;
	self.actVo = nil;
	self:superCall("dispose");
end

function Lua_SuperWeekCardPanel:setData(actVo)
	if actVo == nil then
		return;
	end
	self.actVo = actVo;
	self.activeTime = actVo.residueTime;
	self:onTimeDown();
	self:showTime();
end

function Lua_SuperWeekCardPanel:showTime()
	if self.bTimer ~= true then
		self.bTimer = true;
		self:addTimer("WeekCardTimer", 1, self, self.onTimeDown);
	end
end

function Lua_SuperWeekCardPanel:stopTimer()
	if self.bTimer == true then
		self.bTimer = false;
		Lua_CommonUtil.removeTimer(self, self.onTimeDown);
	end
end

function Lua_SuperWeekCardPanel:onTimeDown()
	if self.activeTime <= 0 then
		self:stopTimer();
	end
	if self.activeTime > 0 then
		local time = Lua_TimeTransform.transSeconds16(self.activeTime, true, true, true, true)
		self.timeTxt.text = LanUtil.formateStr(700000, time);
	else
		self.timeTxt:setLangValue(700003);
	end
	self.activeTime = self.activeTime - 1;
end

function Lua_SuperWeekCardPanel:showPanelInfo(msg)
	if msg == nil then
		return;
	end
	self.msg = msg;

	self:showReward(msg.draw_reward, msg.daily_reward);
	self:showRechargeInfo(msg.recharge_id, msg.unlock_state);
end

function Lua_SuperWeekCardPanel:showReward(reward, dayReward)
	self.topDragList:setArrayData(reward);
	self.topDragList.canDrag = #reward > 4;
	if #reward <= 4 then
		self.topDragList:setContentRect(#reward * 144 - 20, 124);
	else
		self.topDragList:setContentRect(630, 124);
	end
    
	self.downDragList:setArrayData(dayReward);
	self.downDragList.canDrag = #dayReward > 4;
	if #dayReward <= 4 then
		self.downDragList:setContentRect(#dayReward * 144 - 20, 124);
	else
		self.downDragList:setContentRect(630, 124);
	end
end

function Lua_SuperWeekCardPanel:showRechargeInfo(id, state)
	if id == nil then
		return;
	end
	local rechargeInfo = Lua_RechargeConfigData.getRechargeConfig(id);
	if state == 1 then
		self.btnText:setLangValue(700002);
		self.buyBtn.mouseEnable = false;
		self.buyBtn:setGray(true);
		self.btnText:setGray(true);
	else
		if rechargeInfo ~= nil then
			self.btnText.text = LanUtil.formateStr(700001, rechargeInfo.money);
		end
		self.buyBtn.mouseEnable = true;
		self.buyBtn:setGray(false);
		self.btnText:setGray(false);
	end
end

function Lua_SuperWeekCardPanel:onBuyBtnClick()
	if DataCenter.backstageActData:checkActIsEnd(self.actVo) then
		return;
	end
	local rechargeInfo = Lua_RechargeConfigData.getRechargeConfig(self.msg.recharge_id);
	if rechargeInfo ~= nil then
		DataCenter.sdkInterface:PointOut(tonumber(rechargeInfo.gold), tonumber(rechargeInfo.money),
		tonumber(rechargeInfo.money_type), tonumber(rechargeInfo.id), rechargeInfo.gift_name, rechargeInfo.gold);
	end
end










Lua_SuperWeekCardIconCell = class("Lua_SuperWeekCardIconCell", Lua_ItemIconCell)
function Lua_SuperWeekCardIconCell:ctor(p)
	self:superCall("ctor", p);
end

function Lua_SuperWeekCardIconCell:buildShowItem()
	self:superCall("buildShowItem");
	self.itemIcon:setScale(1, 1);
end

function Lua_SuperWeekCardIconCell:onMouseDownHandle()
	self.itemIcon:setScale(0.95, 0.95, 1);
end

function Lua_SuperWeekCardIconCell:onMouseUpHandle()
	self.itemIcon:setScale(1, 1, 1);
end

function Lua_SuperWeekCardIconCell:dispose()
	if self.itemIcon ~= nil then
		self.itemIcon:dispose();
		self.itemIcon = nil;
	end
end